<html>
<head>
<title>Ogre::WorkQueue::Request Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Request</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::WorkQueue::Request Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::WorkQueue::Request" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>General purpose request structure.  
 <a href="classOgre_1_1WorkQueue_1_1Request.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::WorkQueue::Request:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1WorkQueue_1_1Request__inherit__graph.gif" border="0" usemap="#Ogre_1_1WorkQueue_1_1Request_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1WorkQueue_1_1Request_inherit__map" id="Ogre_1_1WorkQueue_1_1Request_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="55,5,140,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1WorkQueue_1_1Request-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#af4747a039d3166c38a0f0646f87d10f4">Request</a> (<a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> channel, <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> rtype, const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;rData, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> retry, <a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a> rid)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#af4747a039d3166c38a0f0646f87d10f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#abc6f573b83b9828f994bca37720bfa1d">~Request</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a2c9eb47c5193369a6c273455453d3a3c">abortRequest</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the abort flag.  <a href="#a2c9eb47c5193369a6c273455453d3a3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#aab05288e180b61054443991cb8c2fd68">getChannel</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the request channel (top level categorisation)  <a href="#aab05288e180b61054443991cb8c2fd68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a69a54c0507b6686e3c48a21283477ac0">getType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of this request within the given channel.  <a href="#a69a54c0507b6686e3c48a21283477ac0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a97cba781f6894fabd2c23dfd12f344ba">getData</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the user details of this request.  <a href="#a97cba781f6894fabd2c23dfd12f344ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a17eba593da5a1051976053e3599ec7c9">getRetryCount</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the remaining retry count.  <a href="#a17eba593da5a1051976053e3599ec7c9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a2787c787efe6db76de47fa52e53ec4ec">getID</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the identifier of this request.  <a href="#a2787c787efe6db76de47fa52e53ec4ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a9edf6b9791e2b39df101a288e1289bb6">getAborted</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the abort flag.  <a href="#a9edf6b9791e2b39df101a288e1289bb6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#acb3929d1fa36c620de9db9b5de660937">mChannel</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The request channel, as an integer.  <a href="#acb3929d1fa36c620de9db9b5de660937"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a590a4da4cee5711be64e525e0564cf72">mType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The request type, as an integer within the channel (user can define enumerations on this)  <a href="#a590a4da4cee5711be64e525e0564cf72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ad8d1f9709048464bd8445d5466c7451f">mData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The details of the request (user defined)  <a href="#ad8d1f9709048464bd8445d5466c7451f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ad3731e8a478ae2f522288c0366513352">mRetryCount</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retry count - set this to non-zero to have the request try again on failure.  <a href="#ad3731e8a478ae2f522288c0366513352"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a5d54982d3c93db2df770394469f776c4">mID</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifier (assigned by the system)  <a href="#a5d54982d3c93db2df770394469f776c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ab71d4e2b421f8f1920a7e4ca4f43ee73">mAborted</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abort Flag.  <a href="#ab71d4e2b421f8f1920a7e4ca4f43ee73"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#afc5a5e65333384e477426c2f77353b28">WorkQueue</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>General purpose request structure. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00082">82</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af4747a039d3166c38a0f0646f87d10f4"></a><!-- doxytag: member="Ogre::WorkQueue::Request::Request" ref="af4747a039d3166c38a0f0646f87d10f4" args="(uint16 channel, uint16 rtype, const Any &amp;rData, uint8 retry, RequestID rid)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#af4747a039d3166c38a0f0646f87d10f4">Ogre::WorkQueue::Request::Request</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>rtype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>rData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>retry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a>&#160;</td>
          <td class="paramname"><em>rid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<a class="anchor" id="abc6f573b83b9828f994bca37720bfa1d"></a><!-- doxytag: member="Ogre::WorkQueue::Request::~Request" ref="abc6f573b83b9828f994bca37720bfa1d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#abc6f573b83b9828f994bca37720bfa1d">Ogre::WorkQueue::Request::~Request</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2c9eb47c5193369a6c273455453d3a3c"></a><!-- doxytag: member="Ogre::WorkQueue::Request::abortRequest" ref="a2c9eb47c5193369a6c273455453d3a3c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a2c9eb47c5193369a6c273455453d3a3c">Ogre::WorkQueue::Request::abortRequest</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the abort flag. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00104">104</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9edf6b9791e2b39df101a288e1289bb6"></a><!-- doxytag: member="Ogre::WorkQueue::Request::getAborted" ref="a9edf6b9791e2b39df101a288e1289bb6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a9edf6b9791e2b39df101a288e1289bb6">Ogre::WorkQueue::Request::getAborted</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the abort flag. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00116">116</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreWorkQueue_8h_source.html#l00172">Ogre::WorkQueue::RequestHandler::canHandleRequest()</a>, and <a class="el" href="OgreWorkQueue_8h_source.html#l00207">Ogre::WorkQueue::ResponseHandler::canHandleResponse()</a>.</p>

</div>
</div>
<a class="anchor" id="aab05288e180b61054443991cb8c2fd68"></a><!-- doxytag: member="Ogre::WorkQueue::Request::getChannel" ref="aab05288e180b61054443991cb8c2fd68" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#aab05288e180b61054443991cb8c2fd68">Ogre::WorkQueue::Request::getChannel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the request channel (top level categorisation) </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00106">106</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a97cba781f6894fabd2c23dfd12f344ba"></a><!-- doxytag: member="Ogre::WorkQueue::Request::getData" ref="a97cba781f6894fabd2c23dfd12f344ba" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Any.html">Any</a>&amp; <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a97cba781f6894fabd2c23dfd12f344ba">Ogre::WorkQueue::Request::getData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the user details of this request. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00110">110</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2787c787efe6db76de47fa52e53ec4ec"></a><!-- doxytag: member="Ogre::WorkQueue::Request::getID" ref="a2787c787efe6db76de47fa52e53ec4ec" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a2787c787efe6db76de47fa52e53ec4ec">Ogre::WorkQueue::Request::getID</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the identifier of this request. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00114">114</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a17eba593da5a1051976053e3599ec7c9"></a><!-- doxytag: member="Ogre::WorkQueue::Request::getRetryCount" ref="a17eba593da5a1051976053e3599ec7c9" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a17eba593da5a1051976053e3599ec7c9">Ogre::WorkQueue::Request::getRetryCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the remaining retry count. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00112">112</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69a54c0507b6686e3c48a21283477ac0"></a><!-- doxytag: member="Ogre::WorkQueue::Request::getType" ref="a69a54c0507b6686e3c48a21283477ac0" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a69a54c0507b6686e3c48a21283477ac0">Ogre::WorkQueue::Request::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of this request within the given channel. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00108">108</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::WorkQueue::Request::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="afc5a5e65333384e477426c2f77353b28"></a><!-- doxytag: member="Ogre::WorkQueue::Request::WorkQueue" ref="afc5a5e65333384e477426c2f77353b28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00084">84</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab71d4e2b421f8f1920a7e4ca4f43ee73"></a><!-- doxytag: member="Ogre::WorkQueue::Request::mAborted" ref="ab71d4e2b421f8f1920a7e4ca4f43ee73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ab71d4e2b421f8f1920a7e4ca4f43ee73">Ogre::WorkQueue::Request::mAborted</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Abort Flag. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00097">97</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb3929d1fa36c620de9db9b5de660937"></a><!-- doxytag: member="Ogre::WorkQueue::Request::mChannel" ref="acb3929d1fa36c620de9db9b5de660937" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#acb3929d1fa36c620de9db9b5de660937">Ogre::WorkQueue::Request::mChannel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The request channel, as an integer. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00087">87</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad8d1f9709048464bd8445d5466c7451f"></a><!-- doxytag: member="Ogre::WorkQueue::Request::mData" ref="ad8d1f9709048464bd8445d5466c7451f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ad8d1f9709048464bd8445d5466c7451f">Ogre::WorkQueue::Request::mData</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The details of the request (user defined) </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00091">91</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d54982d3c93db2df770394469f776c4"></a><!-- doxytag: member="Ogre::WorkQueue::Request::mID" ref="a5d54982d3c93db2df770394469f776c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a5d54982d3c93db2df770394469f776c4">Ogre::WorkQueue::Request::mID</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Identifier (assigned by the system) </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00095">95</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad3731e8a478ae2f522288c0366513352"></a><!-- doxytag: member="Ogre::WorkQueue::Request::mRetryCount" ref="ad3731e8a478ae2f522288c0366513352" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ad3731e8a478ae2f522288c0366513352">Ogre::WorkQueue::Request::mRetryCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retry count - set this to non-zero to have the request try again on failure. </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00093">93</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a590a4da4cee5711be64e525e0564cf72"></a><!-- doxytag: member="Ogre::WorkQueue::Request::mType" ref="a590a4da4cee5711be64e525e0564cf72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a590a4da4cee5711be64e525e0564cf72">Ogre::WorkQueue::Request::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The request type, as an integer within the channel (user can define enumerations on this) </p>

<p>Definition at line <a class="el" href="OgreWorkQueue_8h_source.html#l00089">89</a> of file <a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
